package com.kingdee.eas.custom.projectbonus.web.vo;

/**
 * @Description TODO
 * @Date 2024/4/28 10:39
 * @Created by Heyuan
 */
public class SubWidgetOptions {
    // 标题
    private String title;
    // UI主键
    private String uipk;
    // 查询条件
    private String query;
    // 过滤条件
    private String filter;
    // 是否多选
    private boolean multiselect = false;
    // 是否为树形结构
    private boolean isTree = false;
    // 树形结构URL
    private String treeUrl;
    // 是否包含下级组织
    private boolean isContainLowerOrg = false;
    // 是否为管理员组织
    private boolean isAdminOrg = false;
    // 页面大小
    private boolean pgSizes = true;
    // F7搜索配置
    private F7SearchConfig f7SearchConfig;
    // 数据显示模式
    private String dataShowMode = "layout";

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getUipk() {
        return uipk;
    }

    public void setUipk(String uipk) {
        this.uipk = uipk;
    }

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    public String getFilter() {
        return filter;
    }

    public void setFilter(String filter) {
        this.filter = filter;
    }

    public boolean isMultiselect() {
        return multiselect;
    }

    public void setMultiselect(boolean multiselect) {
        this.multiselect = multiselect;
    }

    public boolean isTree() {
        return isTree;
    }

    public void setTree(boolean tree) {
        isTree = tree;
    }

    public String getTreeUrl() {
        return treeUrl;
    }

    public void setTreeUrl(String treeUrl) {
        this.treeUrl = treeUrl;
    }

    public boolean isContainLowerOrg() {
        return isContainLowerOrg;
    }

    public void setContainLowerOrg(boolean containLowerOrg) {
        isContainLowerOrg = containLowerOrg;
    }

    public boolean isAdminOrg() {
        return isAdminOrg;
    }

    public void setAdminOrg(boolean adminOrg) {
        isAdminOrg = adminOrg;
    }

    public boolean isPgSizes() {
        return pgSizes;
    }

    public void setPgSizes(boolean pgSizes) {
        this.pgSizes = pgSizes;
    }

    public F7SearchConfig getF7SearchConfig() {
        if (f7SearchConfig == null) {
            this.f7SearchConfig = new F7SearchConfig();
        }
        return f7SearchConfig;
    }

    public void setF7SearchConfig(F7SearchConfig f7SearchConfig) {
        this.f7SearchConfig = f7SearchConfig;
    }

    public String getDataShowMode() {
        return dataShowMode;
    }

    public void setDataShowMode(String dataShowMode) {
        this.dataShowMode = dataShowMode;
    }
}
